Page MenuHomePhabricator

[GlobalISel] Use the target preferred type for G_EXTRACT_VECTOR_ELT index
ClosedPublic

Authored by aemerson on Oct 23 2018, 11:18 AM.

Details

Summary

Use the target preferred type for G_EXTRACT_VECTOR_ELT index.

Allows for better imported pattern re-use.

Diff Detail

Repository
rL LLVM

Event Timeline

aemerson created this revision.Oct 23 2018, 11:18 AM
volkan accepted this revision.Oct 24 2018, 11:01 AM

LGTM, thanks Amara.

This revision is now accepted and ready to land.Oct 24 2018, 11:01 AM
aemerson closed this revision.Oct 25 2018, 7:08 AM

Committed in r345265.